Opened 13 years ago

Closed 10 years ago

#470 closed defect (worksforme)

some MP4 movies from archive.org don't stream correctly

Reported by: jelrpp@… Owned by: r_togni@…
Priority: normal Component: streaming
Version: HEAD Severity: normal
Keywords: Cc:
Blocked By: Blocking:
Reproduced by developer: Analyzed by developer:

Description

when playing some mp4 video files from archive.org via http-streaming, mplayer
plays a single frame of video and audio, then reconnects to server repeatedly.

example of working mp4 video:
http://www.archive.org/download/1946-07-08_First_Pictures_Atomic_Blast/1946-07-08_First_Pictures_Atomic_Blast_256kb.mp4

example of non-working mp4 video:
http://www.archive.org/download/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4

both working and non-working video seem to have been created by the same version
of ffmpeg: "FFmpeg0.4.6b4646". (strings on video)

example command line:
mplayer -cache 8192 -cache-min 99 http://nonworkingurl...

if the file is completely downloaded and played from disk, it will play normally.

FreeBSD 5.4-RELEASE-p12

gcc -v
Using built-in specs.
Configured with: FreeBSD/i386 system compiler
Thread model: posix
gcc version 3.4.2 [FreeBSD] 20040728

ld -v
GNU ld version 2.15 [FreeBSD] 2004-05-23

as --version
GNU assembler 2.15 [FreeBSD] 2004-05-23

CPU info:
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 7
stepping : 2
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 mmx fxsr xmm
cpu MHz : 1733.15
bogomips : 1733.15

Video card:
ATI Radeon 9500 Pro

Video driver:
(II) Module fglrx: vendor="Fire GL - ATI Research GmbH, Germany"

compiled for 4.3.0.1, module version = 3.9.0
Module class: XFree86 Video Driver
ABI class: XFree86 Video Driver, version 0.6

Sound card:
sound blaster live value
FreeBSD Audio Driver (newpcm)
pcm0: <Creative EMU10K1> at io 0xd000 irq 10 kld snd_emu10k1 (4p/2r/0v channels
duplex default)

MPlayer dev-CVS-060322-16:23-3.4.2 (C) 2000-2006 MPlayer Team
CPU: Advanced Micro Devices Duron/Athlon? 4/MP/XP Palomino (Family: 6, Stepping: 2)
CPUflags: MMX: 1 MMX2: 1 3DNow: 1 3DNow2: 1 SSE: 1 SSE2: 0
Compiled for x86 CPU with extensions: MMX MMX2 3DNow 3DNowEx SSE

get_path('codecs.conf') -> '/home/jeff/.mplayer/codecs.conf'
Reading /home/jeff/.mplayer/codecs.conf: 91 audio & 205 video codecs
CommandLine?: '-v' '-cache' '8192' '-cache-min' '99'
'http://www.archive.org/download/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4'
init_freetype
get_path('font/font.desc') -> '/home/jeff/.mplayer/font/font.desc'
font: can't open file: /home/jeff/.mplayer/font/font.desc
font: can't open file: /usr/local/share/mplayer/font/font.desc
Using MMX (with tiny bit MMX2) Optimized OnScreenDisplay?
Using nanosleep() timing
get_path('input.conf') -> '/home/jeff/.mplayer/input.conf'
Parsing input config file /home/jeff/.mplayer/input.conf
Input config file /home/jeff/.mplayer/input.conf parsed: 38 binds
get_path('Pa2096Tacoma_256kb.mp4.conf') ->
'/home/jeff/.mplayer/Pa2096Tacoma_256kb.mp4.conf'
Playing http://www.archive.org/download/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4.
get_path('sub/') -> '/home/jeff/.mplayer/sub/'
Filename for url is now
http://www.archive.org/download/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4
Filename for url is now
http://www.archive.org/download/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4
STREAM_HTTP(1), URL:
http://www.archive.org/download/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4
Resolving www.archive.org for AF_INET...
Connecting to server www.archive.org[207.241.224.240]: 80...
--- HTTP DEBUG HEADER --- START ---
protocol: [HTTP/1.1]
http minor version: [1]
uri: [(null)]
method: [(null)]
status code: [302]
reason phrase: [Found]
body size: [0]
Fields:

0 - Date: Thu, 23 Mar 2006 01:39:04 GMT
1 - Server: Apache/1.3.33 (Debian GNU/Linux) PHP/5.0.4-0.4
2 - X-Powered-By: PHP/5.0.4-0.4
3 - Location:

http://ia300109.us.archive.org/2/items/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4

4 - Connection: close
5 - Content-Type: text/html; charset=iso-8859-1

--- HTTP DEBUG HEADER --- END ---
Filename for url is now
http://ia300109.us.archive.org/2/items/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
--- HTTP DEBUG HEADER --- START ---
protocol: [HTTP/1.1]
http minor version: [1]
uri: [(null)]
method: [(null)]
status code: [200]
reason phrase: [OK]
body size: [1169]
Fields:

0 - Date: Thu, 23 Mar 2006 01:39:07 GMT
1 - Server: Apache/1.3.33 (Debian GNU/Linux) PHP/5.0.4-0.7
2 - Last-Modified: Thu, 24 Jul 2003 13:18:26 GMT
3 - ETag: "c3a-9bfc2b-3f1fdca2"
4 - Accept-Ranges: bytes
5 - Content-Length: 10222635
6 - Connection: close
7 - Content-Type: video/mp4

--- HTTP DEBUG HEADER --- END ---
Content-Type: [video/mp4]
Content-Length: [10222635]
Cache size set to 8192 KBytes
STREAM: [null] http://www.archive.org/download/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4
STREAM: Description: http streaming
STREAM: Author: Bertrand, Albeau, Reimar Doeffinger, Arpi?
STREAM: Comment: plain http
CACHE_PRE_INIT: 0 [0] 0 pre:8304721 eof:0

Cache fill: 98.93% (8298496 bytes)
Checking for YUV4MPEG2
ASF_check: not ASF guid!
Checking for NuppelVideo?
Checking for REAL
Checking for SMJPEG
Searching demuxer type for filename
http://www.archive.org/download/Pa2096Tacoma/Pa2096Tacoma_256kb.mp4 ext: .mp4
Trying demuxer 7 based on filename extension
Checking for MOV
ISO: File Type Major Brand: ISO Base Media
ISO: File Type Minor Version: 0
ISO: File Type Compatible Brand #0: mp41
MOV: Movie DATA found!
MOV: Movie DATA found!
MOV: Movie DATA found!
MOV: Movie DATA found!
MOV: Movie header found!
Quicktime/MOV file format detected.
MOV: Movie header (100 bytes): tscale=90000 dur=21033600
MOV: unknown chunk: iods 34


MOV: Track #0:
MOV: Track header!
tkhd len=84 ver=0 flags=0x0 id=1 dur=21030009 lay=0 vol=0
MOV: Media stream!
MOV: Media header!
MOV: Handler header: /vide ()
MOV: unknown handler class: 0x0 ()
MOV: Media info!
MOV: Video header!
MOV: unknown chunk: dinf 28
MOV: Sample info!
MOV: Description list! (cnt:1)
MOV: desc #0: mp4v (161 bytes)
MOV: Sample duration table! (1 blocks)
MOV: Sample size table! (entries=7003 ss=0) (ver:0,flags:0)
MOV: Sample->Chunk mapping table! (2 blocks) (ver:0,flags:0)
MOV: Chunk offset table! (234 chunks)
MOV: Syncing samples (keyframes) table! (624 entries) (ver:0,flags:0)
MOV track #0: 234 chunks, 7003 samples
pts=21030009 scale=90000 time=233.667
==> Found video stream: 0
MOV: Found MPEG4 movie Elementary Stream Descriptor atom (91)!
ESDS MPEG4 version: 0 flags: 0x000000
ESDS MPEG4 ES Descriptor (74Bytes):

-> ESId: 1
-> streamPriority: 0

ESDS MPEG4 Decoder Config Descriptor (60Bytes):

-> objectTypeId: 32
-> streamType: 0x11
-> bufferSizeDB: 0x0027A5
-> maxBitrate: 612.208kbit/s
-> avgBitrate: 258.819kbit/s

ESDS MPEG4 Decoder Specific Descriptor (42Bytes)
ESDS MPEG4 Sync Layer Config Descriptor (1Bytes)

-> predefined: 2

Image size: 320 x 240 (24 bpp)
Display size: 320 x 240
Fourcc: mp4v Codec:


MOV: Track #1:
MOV: Track header!
tkhd len=84 ver=0 flags=0x0 id=2 dur=21030009 lay=0 vol=0
MOV: Media stream!
MOV: Media header!
MOV: Handler header: /hint ()
MOV: unknown handler class: 0x0 ()
MOV: Media info!
MOV: unknown chunk: hmhd 20
MOV: unknown chunk: dinf 28
MOV: Sample info!
MOV: Description list! (cnt:1)
MOV: desc #0: rtp (20 bytes)
MOV: Sample duration table! (1 blocks)
MOV: Sample size table! (entries=7003 ss=0) (ver:0,flags:0)
MOV: Sample->Chunk mapping table! (2 blocks) (ver:0,flags:0)
MOV: Chunk offset table! (234 chunks)
MOV: Syncing samples (keyframes) table! (624 entries) (ver:0,flags:0)
MOV: unknown chunk: tref 12
MOV track #1: 234 chunks, 7003 samples
pts=21030009 scale=90000 time=233.667
Unknown track type found (type: 0)


Quicktime Clip Info:
MOV: Track #2:
MOV: Track header!
tkhd len=84 ver=0 flags=0x0 id=5 dur=21033600 lay=0 vol=256
MOV: Media stream!
MOV: Media header!
MOV: Handler header: /soun ()
MOV: unknown handler class: 0x0 ()
MOV: Media info!
MOV: Sound header!
MOV: unknown chunk: dinf 28
MOV: Sample info!
MOV: Description list! (cnt:1)
MOV: desc #0: mp4a (71 bytes)
MOV: Sample duration table! (1 blocks)
MOV: Sample size table! (entries=10955 ss=0) (ver:0,flags:0)
MOV: Sample->Chunk mapping table! (2 blocks) (ver:0,flags:0)
MOV: Chunk offset table! (234 chunks)
MOV track #2: 234 chunks, 10955 samples
pts=11217920 scale=48000 time=233.707
==> Found audio stream: 2
Audio bits: 16 chans: 2 rate: 48000
MOV: Found MPEG4 audio Elementary Stream Descriptor atom (51)!
ESDS MPEG4 version: 0 flags: 0x000000
ESDS MPEG4 ES Descriptor (34Bytes):

-> ESId: 5
-> streamPriority: 0

ESDS MPEG4 Decoder Config Descriptor (20Bytes):

-> objectTypeId: 64
-> streamType: 0x15
-> bufferSizeDB: 0x0000B7
-> maxBitrate: 64.472kbit/s
-> avgBitrate: 63.359kbit/s

ESDS MPEG4 Decoder Specific Descriptor (2Bytes)
ESDS MPEG4 Sync Layer Config Descriptor (1Bytes)

-> predefined: 2

Fourcc: mp4a


MOV: Track #3:
MOV: Track header!
tkhd len=84 ver=0 flags=0x0 id=6 dur=21031680 lay=0 vol=0
MOV: Media stream!
MOV: Media header!
MOV: Handler header: /hint ()
MOV: unknown handler class: 0x0 ()
MOV: Media info!
MOV: unknown chunk: hmhd 20
MOV: unknown chunk: dinf 28
MOV: Sample info!
MOV: Description list! (cnt:1)
MOV: desc #0: rtp (20 bytes)
MOV: Sample duration table! (1044 blocks)
MOV: Sample size table! (entries=1566 ss=0) (ver:0,flags:0)
MOV: Sample->Chunk mapping table! (1 blocks) (ver:0,flags:0)
MOV: Chunk offset table! (174 chunks)
MOV: unknown chunk: tref 12
MOV track #3: 174 chunks, 1566 samples
pts=11216896 scale=48000 time=233.685
Unknown track type found (type: 0)


MOV: Track #4:
MOV: Track header!
tkhd len=84 ver=0 flags=0x0 id=7 dur=21033540 lay=0 vol=0
MOV: Media stream!
MOV: Media header!
MOV: Handler header: /odsm ()
MOV: unknown handler class: 0x0 ()
MOV: Media info!
MOV: Generic header!
MOV: unknown chunk: dinf 28
MOV: Sample info!
MOV: Description list! (cnt:1)
MOV: desc #0: mp4s (44 bytes)
MOV: Sample duration table! (1 blocks)
MOV: Sample size table! (entries=1 ss=33) (ver:0,flags:0)
MOV: Sample->Chunk mapping table! (1 blocks) (ver:0,flags:0)
MOV: Chunk offset table! (1 chunks)
MOV: unknown chunk: tref 20
MOV track #4: 1 chunks, 0 samples
pts=233706 scale=1000 time=233.706
Generic track - not completely understood! (id: 4)


MOV: Track #5:
MOV: Track header!
tkhd len=84 ver=0 flags=0x0 id=8 dur=21033540 lay=0 vol=0
MOV: Media stream!
MOV: Media header!
MOV: Handler header: /sdsm ()
MOV: unknown handler class: 0x0 ()
MOV: Media info!
MOV: Generic header!
MOV: unknown chunk: dinf 28
MOV: Sample info!
MOV: Description list! (cnt:1)
MOV: desc #0: mp4s (52 bytes)
MOV: Sample duration table! (1 blocks)
MOV: Sample size table! (entries=1 ss=24) (ver:0,flags:0)
MOV: Sample->Chunk mapping table! (1 blocks) (ver:0,flags:0)
MOV: Chunk offset table! (1 chunks)
MOV track #5: 1 chunks, 0 samples
pts=233706 scale=1000 time=233.706
Generic track - not completely understood! (id: 5)


MOV: longest streams: A: #2 (10955 samples) V: #0 (7003 samples)
VIDEO: [mp4v] 320x240 24bpp 29.970 fps 0.0 kbps ( 0.0 kbyte/s)
[V] filefmt:7 fourcc:0x7634706D size:320x240 fps:29.97 ftime:=0.0334
get_path('sub/') -> '/home/jeff/.mplayer/sub/'
get_path('default.sub') -> '/home/jeff/.mplayer/default.sub'
File not found: '/home/jeff/.mplayer/default.sub'
Failed to open /home/jeff/.mplayer/default.sub
==========================================================================
Opening audio decoder: [faad] AAC (MPEG2/4 Advanced Audio Coding)
dec_audio: Allocating 4608 bytes for input buffer.
dec_audio: Allocating 49152 + 65536 = 114688 bytes for output buffer.
FAAD: Decoder init done (0Bytes)!
FAAD: Negotiated samplerate: 48000Hz channels: 2
FAAD: got 63kbit/s bitrate from MP4 header!
AUDIO: 48000 Hz, 2 ch, s16le, 63.4 kbit/4.12% (ratio: 7919->192000)
Selected audio codec: [faad] afm: faad (FAAD AAC (MPEG-2/MPEG-4 Audio) decoder)
==========================================================================
X11 opening display: :0.0
vo: X11 color mask: FFFFFF (R:FF0000 G:FF00 B:FF)
vo: X11 running at 1024x768 with depth 24 and 32 bpp (":0.0" => local display)
[x11] Detected wm supports layers.
[x11] Detected wm supports NetWM.
[x11] Detected wm supports FULLSCREEN state.
[x11] Detected wm supports ABOVE state.
[x11] Detected wm supports BELOW state.
[x11] Current fstype setting honours LAYER FULLSCREEN ABOVE BELOW X atoms
Disabling DPMS
DPMSDisable stat: 1
[xv common] Drawing colorkey manually.
[xv common] Using colorkey from Xv (0x00001e).
[xv common] Maximum source image dimensions: 2048x2048
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
INFO: libavcodec init OK!
Selected video codec: [ffodivx] vfm: ffmpeg (FFmpeg MPEG-4)
==========================================================================
Building audio filter chain for 48000Hz/2ch/s16le -> 0Hz/0ch/??...
[libaf] Adding filter dummy
[dummy] Was reinitialized: 48000Hz/2ch/s16le
[dummy] Was reinitialized: 48000Hz/2ch/s16le
ao2: 48000 Hz 2 chans s16le
audio_setup: using '/dev/dsp' dsp device
audio_setup: using '/dev/mixer' mixer device
audio_setup: using 'pcm' mixer device
audio_setup: sample format: s16le (requested: s16le)
audio_setup: using 2 channels (requested: 2)
audio_setup: using 48000 Hz samplerate (requested: 48000)
audio_setup: frags: 32/32 (4096 bytes/frag) free: 131072
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
AO: Description: OSS/ioctl audio output
AO: Author: A'rpi
Building audio filter chain for 48000Hz/2ch/s16le -> 48000Hz/2ch/s16le...
[dummy] Was reinitialized: 48000Hz/2ch/s16le
[dummy] Was reinitialized: 48000Hz/2ch/s16le
Starting playback...
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10222635]
[ffmpeg] aspect_ratio: 1.333333
VDec: vo config request - 320 x 240 (preferred colorspace: Planar YV12)
Trying filter chain: vo
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.33:1 - prescaling to correct movie aspect.
VO Config (320x240->320x240,flags=0,'MPlayer',0x32315659)
VO: [xv] 320x240 => 320x240 Planar YV12
VO: Description: X11/Xv
VO: Author: Gerd Knorr <kraxel@…> and others
Xvideo image format: 0x32595559 (YUY2) packed
Xvideo image format: 0x59565955 (UYVY) packed
Xvideo image format: 0x32315659 (YV12) planar
Xvideo image format: 0x30323449 (I420) planar
using Xvideo port 59 for hw scaling
[xv] dx: 0 dy: 0 dw: 320 dh: 240
* [vo] Allocating (slices) mp_image_t, 320x240x12bpp YUV planar, 115200 bytes
get_path('subfont.ttf') -> '/home/jeff/.mplayer/subfont.ttf'
Unicode font: 580 glyphs.
[xv] dx: 0 dy: 0 dw: 320 dh: 240
A: 0.3 V: 0.0 A-V: 0.341 ct: 0.000 1/ 1 ??% ??% ??,?% 1 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2378795]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
* [vo] Allocating (slices) mp_image_t, 320x240x12bpp YUV planar, 115200 bytes
A: 0.7 V: 0.0 A-V: 0.649 ct: 0.003 2/ 2 ??% ??% ??,?% 2 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2376747]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
A: 1.0 V: 0.1 A-V: 0.958 ct: 0.007 3/ 3 ??% ??% ??,?% 3 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2374699]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
A: 1.4 V: 0.1 A-V: 1.266 ct: 0.010 4/ 4 ??% ??% ??,?% 4 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2370603]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
A: 1.7 V: 0.1 A-V: 1.574 ct: 0.013 5/ 5 ??% ??% ??,?% 5 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2368555]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
A: 2.0 V: 0.2 A-V: 1.881 ct: 0.017 6/ 6 ??% ??% ??,?% 6 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2366507]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
A: 2.4 V: 0.2 A-V: 2.188 ct: 0.020 7/ 7 ??% ??% ??,?% 7 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2362411]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
A: 2.7 V: 0.2 A-V: 2.498 ct: 0.023 8/ 8 ??% ??% ??,?% 8 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2360363]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
A: 3.1 V: 0.3 A-V: 2.805 ct: 0.027 9/ 9 ??% ??% ??,?% 9 0 0%
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [2358315]
Resolving ia300109.us.archive.org for AF_INET...
Connecting to server ia300109.us.archive.org[207.241.234.209]: 80...
Content-Type: [video/mp4]
Content-Length: [10220587]
A: 3.4 V: 0.3 A-V: 3.113 ct: 0.030 10/ 10 ??% ??% ??,?% 10 0 0%
Uninit audio filters...
[libaf] Removing filter dummy
uninit audio: faad
FAAD: Closing decoder!
uninit video: ffmpeg
Successfully enabled DPMS
vo: uninit ...

Exiting... (Quit)

Change History (1)

comment:1 Changed 10 years ago by compn

  • Resolution set to worksforme
  • Status changed from new to closed

archive.org reencoded a lot of videos.

sample url is 404

http://ia300109.us.archive.org/2/items/Pa2096Tacoma/Pa2096Tacoma_512kb.mp4
works fine over http.

bug > worksforme

please reopen if you find another broken url

Note: See TracTickets for help on using tickets.